aboutsummaryrefslogtreecommitdiff
path: root/yoga/bin/singlemon
diff options
context:
space:
mode:
authorCamil Staps2023-02-17 13:42:47 +0100
committerCamil Staps2023-02-17 13:42:47 +0100
commitf4e04a43c5a4ea1905fdf707074c9858f969c5ab (patch)
treeea1fd7877f9bde53b640e3f52f6931d40b58297a /yoga/bin/singlemon
parentRemove empty ignore file (diff)
Improve singlemon and dualmon for yoga
Diffstat (limited to 'yoga/bin/singlemon')
-rwxr-xr-xyoga/bin/singlemon6
1 files changed, 4 insertions, 2 deletions
diff --git a/yoga/bin/singlemon b/yoga/bin/singlemon
index 600a4b9..af782a1 100755
--- a/yoga/bin/singlemon
+++ b/yoga/bin/singlemon
@@ -1,4 +1,6 @@
#!/bin/bash
-xrandr --output eDP --primary --auto --output DisplayPort-1 --off
+set -e
+EXTERNAL="$(xrandr | grep 'DisplayPort.* connected' | cut -d' ' -f1)"
+xrandr --output eDP --primary --auto --output $EXTERNAL --off
setbg
-xsetwacom set 'Wacom Intuos S Pen stylus' MapToOutput eDP 2>/dev/null
+xsetwacom set 'Wacom Intuos S Pen stylus' MapToOutput eDP 2>/dev/null || true